Package org.apache.velocity.runtime.parser.node

# Class ASTIntegerRange.IntegerRange

java.lang.Object
java.util.AbstractCollection<Integer>
java.util.AbstractList<Integer>
org.apache.velocity.runtime.parser.node.ASTIntegerRange.IntegerRange

All Implemented Interfaces:
  `Iterable<Integer>`, `Collection<Integer>`, `List<Integer>`

Enclosing class:
  `ASTIntegerRange`

public static class ASTIntegerRange.IntegerRange extends AbstractList<Integer>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ASTIntegerRange.IntegerRange.RangeIterator`

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`IntegerRange(int left, int right, int delta)`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`get(int index)`
`int`
`indexOf(Object o)`
`Iterator<Integer>`
`iterator()`
`int`
`lastIndexOf(Object o)`
`ListIterator<Integer>`
`listIterator()`
`ListIterator<Integer>`
`listIterator(int index)`
`int`
`size()`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, hashCode, remove, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

## Constructor Details

### IntegerRange

public IntegerRange(int left, int right, int delta)

## Method Details

### iterator

public Iterator<Integer> iterator()

Specified by:
  `iterator` in interface `Collection<Integer>`
Specified by:
  `iterator` in interface `Iterable<Integer>`
Specified by:
  `iterator` in interface `List<Integer>`
Overrides:
  `iterator` in class `AbstractList<Integer>`

### get

public Integer get(int index)

Specified by:
  `get` in interface `List<Integer>`
Specified by:
  `get` in class `AbstractList<Integer>`

### indexOf

public int indexOf(Object o)

Specified by:
  `indexOf` in interface `List<Integer>`
Overrides:
  `indexOf` in class `AbstractList<Integer>`

### lastIndexOf

public int lastIndexOf(Object o)

Specified by:
  `lastIndexOf` in interface `List<Integer>`
Overrides:
  `lastIndexOf` in class `AbstractList<Integer>`

### listIterator

public ListIterator<Integer> listIterator()

Specified by:
  `listIterator` in interface `List<Integer>`
Overrides:
  `listIterator` in class `AbstractList<Integer>`

### listIterator

public ListIterator<Integer> listIterator(int index)

Specified by:
  `listIterator` in interface `List<Integer>`
Overrides:
  `listIterator` in class `AbstractList<Integer>`

### size

public int size()

Specified by:
  `size` in interface `Collection<Integer>`
Specified by:
  `size` in interface `List<Integer>`
Specified by:
  `size` in class `AbstractCollection<Integer>`